#include "main.h"
//==============================================================
static led_strip_handle_t led_strip;
//==============================================================
static void configure_led(void)
{
  led_strip_config_t strip_config = {
    .strip_gpio_num = CONFIG_LED_GPIO,
    .max_leds = 144, //at least one LED on board
  };
  led_strip_rmt_config_t rmt_config = {
    .resolution_hz = 10 * 1000 * 1000, //10MHz
  };
  ESP_ERROR_CHECK(led_strip_new_rmt_device(&strip_config, &rmt_config, &led_strip));
}
//==============================================================
void app_main(void)
{
  configure_led();
}
//==============================================================
